Skip to content

kifas.workflow.suggest_integration_test

Analyze a run and suggest a minimal API-only integration test for the use case.

Required scopes: run:read

Name Type Required Default Description
run_id string yes —
{
"type": "object",
"properties": {
"status": {
"type": "string",
"enum": [
"suggested",
"not_worth_it",
"no_suggestion"
]
},
"recommendation": {
"type": "string",
"enum": [
"replace",
"hybrid",
"ask"
]
},
"rationale": {
"type": "string"
},
"estimated_speedup": {
"type": "string"
},
"estimated_savings": {
"type": "string"
},
"steps": {
"type": "array",
"items": {
"type": "object",
"properties": {
"step_index": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"intent": {
"type": "string"
},
"classification": {
"type": "string",
"enum": [
"api_safe",
"browser_dependent"
]
},
"reason": {
"type": "string"
}
},
"required": [
"step_index",
"intent",
"classification",
"reason"
],
"additionalProperties": false
}
},
"calls": {
"type": "array",
"items": {
"type": "object",
"properties": {
"method": {
"type": "string"
},
"url_template": {
"type": "string"
},
"depends_on": {
"type": "array",
"items": {
"type": "string"
}
},
"asserts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"path": {
"type": "string"
},
"op": {
"type": "string",
"enum": [
"eq",
"exists",
"contains"
]
},
"value": {
"type": "string"
}
},
"required": [
"path",
"op"
],
"additionalProperties": false
}
}
},
"required": [
"method",
"url_template",
"depends_on",
"asserts"
],
"additionalProperties": false
}
},
"dropped_calls": {
"type": "array",
"items": {
"type": "object",
"properties": {
"method": {
"type": "string"
},
"url": {
"type": "string"
},
"reason": {
"type": "string"
}
},
"required": [
"method",
"url",
"reason"
],
"additionalProperties": false
}
}
},
"required": [
"status",
"recommendation",
"rationale",
"estimated_speedup",
"estimated_savings",
"steps",
"calls",
"dropped_calls"
],
"additionalProperties": false
}
TypeScript (Anthropic MCP SDK)
import { Client } from '@modelcontextprotocol/sdk/client/index.js'
import { StreamableHTTPClientTransport } from '@modelcontextprotocol/sdk/client/streamable-http.js'
const transport = new StreamableHTTPClientTransport(
new URL('https://mcp.kifas.io/'),
{
requestInit: {
headers: { Authorization: `Bearer ${process.env.KIFAS_API_KEY}` },
},
},
)
const client = new Client({ name: 'demo', version: '0.1.0' })
await client.connect(transport)
const result = await client.callTool({
name: 'kifas.workflow.suggest_integration_test',
arguments: {
"run_id": "00000000-0000-0000-0000-000000000000"
},
})
console.log(result)
Python (httpx, raw JSON-RPC)
import os
import httpx
resp = httpx.post(
"https://mcp.kifas.io/",
headers={
"Authorization": f"Bearer {os.environ['KIFAS_API_KEY']}",
"Content-Type": "application/json",
},
json={
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "kifas.workflow.suggest_integration_test",
"arguments": {
"run_id": "00000000-0000-0000-0000-000000000000"
},
},
},
)
print(resp.json())
curl
Terminal window
curl https://mcp.kifas.io/ \
-H "Authorization: Bearer $KIFAS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "kifas.workflow.suggest_integration_test",
"arguments": {
"run_id": "00000000-0000-0000-0000-000000000000"
}
}
}'
Raw JSON-RPC body
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "kifas.workflow.suggest_integration_test",
"arguments": {
"run_id": "00000000-0000-0000-0000-000000000000"
}
}
}

Want to try kifas.workflow.suggest_integration_test? Sign in to the dashboard and run it against a real session.

Try in Kifas →